%define gtk2binaryver %(if $([ -x %{_bindir}/pkg-config ] && pkg-config --exists gtk+-2.0); then pkg-config --variable=gtk_binary_version gtk+-2.0; else echo 0; fi)

%define url_ver	%(echo %{version} | cut -d. -f1,2)

%define libname	%mklibname gtk-murrine-engine

Name: 	 	murrine
Summary: 	Murrine GTK2 cairo theme
Version: 	0.98.2
Release: 	%mkrel 7
Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
URL:		http://www.cimitan.com/murrine/
License:	GPLv2
Group:		Graphical desktop/GNOME
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.18.0
BuildRequires:	intltool

%description
The Murrine engine is a cairo-based GTK2 theming tool. It's very fast compared
to clearlooks-cairo. Murrine includes animations and a unique style.

%package -n gtk-murrine-engine
Summary:	Murrine GTK2 cairo theme
Group:		Graphical desktop/GNOME
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{name} < 0.98.2-3

%description -n gtk-murrine-engine
The Murrine engine is a cairo-based GTK2 theming tool. It's very fast compared
to clearlooks-cairo. Murrine includes animations and a unique style.

%package -n %{libname}
Summary:	Murrine GTK2 cairo theme
Group:		System/Libraries
Conflicts:	murrine < 0.53.1-2
Obsoletes:	%{_lib}murrine < 0.98.2-3

%description -n %{libname}
The Murrine engine is a cairo-based GTK2 theming tool. It's very fast compared
to clearlooks-cairo. Murrine includes animations and a unique style.

This package contains the Murrine GTK+ engine itself.

%prep
%setup -q

%build
%configure2_5x --enable-animation
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n gtk-murrine-engine
%doc AUTHORS ChangeLog NEWS README TODO
%{_datadir}/gtk-engines/murrine.xml

%files -n %{libname}
%{_libdir}/gtk-2.0/%{gtk2binaryver}/engines/libmurrine.so


%changelog
* Tue Feb 02 2016 umeabot <umeabot> 0.98.2-7.mga6
+ Revision: 932174
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.98.2-6.mga5
+ Revision: 749023
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.98.2-5.mga5
+ Revision: 682703
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.98.2-4.mga4
+ Revision: 528201
- Mageia 4 Mass Rebuild

* Sun Jun 16 2013 wally <wally> 0.98.2-3.mga4
+ Revision: 443759
- fix pkg names
- clean .spec

* Sat Jan 12 2013 umeabot <umeabot> 0.98.2-2.mga3
+ Revision: 360520
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 25 2012 fwang <fwang> 0.98.2-1.mga2
+ Revision: 201340
- new version 0.98.2

* Fri May 06 2011 mikala <mikala> 0.98.1.1-1.mga1
+ Revision: 95318
- Remove BuildRoot tag
- imported package murrine


* Mon Oct 04 2010 Götz Waschk <waschk@mandriva.org> 0.98.1.1-1mdv2011.0
+ Revision: 582995
- update to new version 0.98.1.1

* Fri Oct 01 2010 Götz Waschk <waschk@mandriva.org> 0.98.1-1mdv2011.0
+ Revision: 582367
- update to new version 0.98.1

* Wed Sep 22 2010 Götz Waschk <waschk@mandriva.org> 0.98.0-1mdv2011.0
+ Revision: 580562
- new version
- fix build

* Thu May 14 2009 Jérôme Brenier <incubusss@mandriva.org> 0.90.3-1mdv2010.0
+ Revision: 375606
- update to new version 0.90.3

* Thu Mar 19 2009 Götz Waschk <waschk@mandriva.org> 0.90.2-1mdv2009.1
+ Revision: 357661
- update to new version 0.90.2

* Wed Mar 18 2009 Götz Waschk <waschk@mandriva.org> 0.90.1-1mdv2009.1
+ Revision: 357274
- update to new version 0.90.1

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 0.90.0-1mdv2009.1
+ Revision: 355634
- fix build deps
- new version
- update file list
- update deps
- update source URL

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 0.53.1-5mdv2009.0
+ Revision: 253367
- rebuild

* Wed Mar 26 2008 Emmanuel Andry <eandry@mandriva.org> 0.53.1-3mdv2008.1
+ Revision: 190545
- Fix lib group

* Sat Feb 23 2008 Frederik Himpe <fhimpe@mandriva.org> 0.53.1-2mdv2008.1
+ Revision: 174080
- Libify in order to fix bug #35470 (32 and 64 bit versions cannot be
  installed together because of conflicts)
- New URL
- New license policy
- Remove some uninteresting doc files

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Aug 28 2007 Austin Acton <austin@mandriva.org> 0.53.1-1mdv2008.0
+ Revision: 72879
- Import murrine

